load('solutions.mat')
close all
sols = {'phenoNOTU','phenoSENS','phenoRESI'}; %phenoNOTU, phenoSENS or phenoRESI

for l = 1:3
    
    soluciones = eval(sols{l});
    
    colores    = {'-r','-b'};
    treatment  = [0 1];
    N          = [2097 4459 4308 325 2141 2824 2234 3519 3364 1564
                    122 116 94 119 113 30 22 166 29 6
                    1680 852 1911 2150 538 2629 1009 1714 2598 1122]; 
                
    % N          = [2097 4459 4308 325 2141 2824 2234 3519 3364 1564]; %phenoNOTU
    % N          = [122 116 94 119 113 30 22 166 29 6]; %phenoSENS
    % N          = [1680 852 1911 2150 538 2629 1009 1714 2598 1122]; %phenoRESI
    % N          = randperm(length(soluciones(:,1)),10);

    for m = 1:2
        c = 0;

        for n = N(l,:)
            c = c + 1;
            fprintf('Iteration %g/2 | Solution: %g| %g/10\n',m,n,c)
            colonModel(soluciones(n,:),treatment(m),colores{m},l);
            drawnow
        end

    end
    
    colonModel([],0,'--k');

end

figure(1)
ylim([0 500])
xlim([0 150])

figure(2)
ylim([0 1.3e3])
xlim([0 150])

figure(3)
ylim([0 1.3e3])
xlim([0 150])